-- MySQL dump 9.10
--
-- Host: localhost    Database: eldoDB
-- ------------------------------------------------------
-- Server version	4.0.18

--
-- Table structure for table `artistGroups`
--

DROP TABLE IF EXISTS artistGroups;
CREATE TABLE artistGroups (
  idx int(10) NOT NULL default '0',
  artist int(10) NOT NULL default '0',
  PRIMARY KEY  (idx,artist)
) TYPE=MyISAM;

--
-- Table structure for table `artists`
--

DROP TABLE IF EXISTS artists;
CREATE TABLE artists (
  idx int(10) NOT NULL auto_increment,
  name varchar(255) default NULL,
  comment text,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (idx),
  KEY artists_name_idx (name)
) TYPE=MyISAM;

--
-- Table structure for table `media`
--

DROP TABLE IF EXISTS media;
CREATE TABLE media (
  idx int(10) NOT NULL auto_increment,
  name varchar(255) default NULL,
  title varchar(255) default NULL,
  type varchar(255) default NULL,
  released date default NULL,
  created datetime default NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (idx),
  KEY media_name_idx (name)
) TYPE=MyISAM;

--
-- Table structure for table `playlistItems`
--

DROP TABLE IF EXISTS playlistItems;
CREATE TABLE playlistItems (
  airDate int(10) default NULL,
  pos int(10) NOT NULL default '0',
  songID int(10) default NULL
) TYPE=MyISAM;

--
-- Table structure for table `playlists`
--

DROP TABLE IF EXISTS playlists;
CREATE TABLE playlists (
  airDate int(10) NOT NULL default '0',
  showName varchar(255) default NULL,
  author varchar(255) default NULL,
  template int(10) default NULL,
  PRIMARY KEY  (airDate)
) TYPE=MyISAM;

--
-- Table structure for table `rotations`
--

DROP TABLE IF EXISTS rotations;
CREATE TABLE rotations (
  idx int(10) NOT NULL auto_increment,
  parent int(10) default NULL,
  name varchar(255) default NULL,
  description text,
  PRIMARY KEY  (idx),
  KEY rotations_parent_idx (parent)
) TYPE=MyISAM;

--
-- Table structure for table `songData`
--

DROP TABLE IF EXISTS songData;
CREATE TABLE songData (
  songID int(10) NOT NULL default '0',
  attribute varchar(20) NOT NULL default '',
  value varchar(255) default NULL,
  PRIMARY KEY  (songID,attribute),
  KEY songData_songID_idx (songID)
) TYPE=MyISAM;

--
-- Table structure for table `songs`
--

DROP TABLE IF EXISTS songs;
CREATE TABLE songs (
  idx int(10) NOT NULL auto_increment,
  artist int(10) default '0',
  title varchar(255) default NULL,
  duration bigint(255) default NULL,
  medium int(10) default '0',
  cd int(2) default NULL,
  track int(2) default NULL,
  rotation int(10) default NULL,
  filename varchar(255) default NULL,
  comment text,
  created datetime default NULL,
  updated timestamp(14) NOT NULL,
  deleted int(1) default NULL,
  PRIMARY KEY  (idx),
  KEY songs_filename_idx (filename),
  KEY songs_idx_artist (idx,artist),
  KEY songs_artist_idx (artist),
  KEY songs_rotation_idx (rotation),
  KEY songs_deleted_idx (deleted)
) TYPE=MyISAM;

--
-- Table structure for table `templateItems`
--

DROP TABLE IF EXISTS templateItems;
CREATE TABLE templateItems (
  template int(10) NOT NULL default '0',
  rotation int(10) NOT NULL default '0',
  count int(10) NOT NULL default '0',
  positions varchar(255) default NULL
) TYPE=MyISAM;

--
-- Table structure for table `templates`
--

DROP TABLE IF EXISTS templates;
CREATE TABLE templates (
  idx int(10) NOT NULL auto_increment,
  name varchar(255) default NULL,
  PRIMARY KEY  (idx)
) TYPE=MyISAM;

